Subject: Cygwin and Native MS Windows (was: Mercurial vs Updated git HOWTO for kernel hackers)

From: Kevin Smith <[email-masked]>
Date: Tue, 28 Jun 2005 12:50:04 -0400

Petr Baudis wrote:
 > Dear diary, on Fri, Jun 24, 2005 at 03:57:00PM CEST, I got a letter
 > where Kevin Smith <[email-masked]> told me that...
 >
 >>- Can run on (native) MS Windows
 >>  (necessary for me because I often work on cross-platform projects)
 >
 >
 > I'd expect everything to work fine with Cygwin (or with only minor
 > problems easy to fix) or just any working bash + GNU coreutils
 > installation. Any issue with that?

I don't see cygwin as being a reasonable option for a core tool like 
SCM. Cygwin is too large and invasive to expect Windows users to install 
and use it. For my own projects, native Windows operation is a requirement.

Kevin